#
# spec file for package perl-Term-EditorEdit
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Term-EditorEdit
Version:        0.0016
Release:        1.1
%define cpan_name Term-EditorEdit
Summary:        Edit a document via $EDITOR
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Term-EditorEdit/
Source0:        http://www.cpan.org/authors/id/R/RO/ROKR/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Any::Moose)
BuildRequires:  perl(Test::Most)
BuildRequires:  perl(Text::Clip)
BuildRequires:  perl(Try::Tiny)
Requires:       perl(Any::Moose)
Requires:       perl(Text::Clip)
Requires:       perl(Try::Tiny)
%{perl_requires}

%description
Term::EditorEdit is a tool for prompting the user to edit a piece of text
via '$VISUAL' or '$EDITOR' and return the result

In addition to just editing a document, this module can distinguish between
a document preamble and document content, giving you a way to provide
"out-of-bound" information to whoever is editing. Once an edit is complete,
only the content (whatever was below the preamble) is returned

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Mon Apr 20 2015 coolo@suse.com
- initial package $version
  * created by $NAME $VERSION
